<?
if(intval($_GET['chat'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_chat` WHERE `id` = '".intval($_GET['chat'])."' AND `type` = 'room'".($ku['status']<=1?" AND `admod` = '0'":null).""),0)!=0)
{
$chat=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_chat` WHERE `id` = '".intval($_GET['chat'])."' AND `type` = 'room'"));
if(isset($_GET['edit']) && $ku['status']>0)
{
if($_GET['edit']=='ok')
{
$name=$_POST['name'];
$opis=$_POST['opis'];
if($name==NULL)
{
echo err_game("Слишком короткое название");
$err=1;
}
if(!isset($err))
{
if($_POST['admod']==1)$admod=1;else $admod=0;
mysql_query("UPDATE `$db_base`.`kolhoz_chat` SET `name` = '".my_esc($name)."', `opis` = '".my_esc($opis)."', `admod` = '$admod' WHERE `id` = '$chat[id]'");
header("Location:?chat=$chat[id]");
exit;
}
}
echo '<div class="content"><div class="block">';
echo "<form action='?chat=$chat[id]&edit=ok' method='post'><ul><li><label><div>Название:</div><div><input type='text' class='wide' value='".hsc($chat['name'])."' name='name'></div></label></li><li><label><div>Описание:</div><div><textarea class='wide' rows='5' name='opis'>".hsc($chat['opis'])."</textarea></div></label></li>";
echo "<input type='checkbox' name='admod' value='1'".($chat['admod']==1?" checked='checked'":null)."> <span>Давать доступ только администрации</span><br/>";
echo "<li><input type='submit' value='Создать'></li></ul></form></div>";
include_once 'inc/foot.php';
}
elseif(isset($_GET['clean']) && $ku['status']>0)
{
if($_GET['clean']=='ok')
{
mysql_query("delete from `$db_base`.`kolhoz_chat` where `mother` = '$chat[id]' and `type` = 'komm'");
header("Location:?chat=$chat[id]");
}
else echo '<div class="event"><h1>Подтверждение</h1></div><div class="content"><div class="block"><ul class="block"><li><span class="title">Вы уверены?</span></li><li class="pt"><img alt="" width="16" height="16" src="images/icons/tick.png"> <a href="?chat='.$chat['id'].'&clean=ok"><span>
Да, подтверждаю</span></a></li><li><img alt="" width="16" height="16" src="images/icons/cross.png"> <a href="?chat='.$chat['id'].'"><span>
Нет, отказываюсь</span></a></li></ul></div>';
include_once 'inc/foot.php';
}
elseif(isset($_GET['del_komm']) && intval($_GET['del_komm'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_chat` WHERE `id` = '".intval($_GET['del_komm'])."' AND `type` = 'komm'"),0)!=0 && $ku['status']>0)
{
mysql_query("delete from `$db_base`.`kolhoz_chat` where `mother` = '$chat[id]' and `type` = 'komm' and `id` = '".intval($_GET['del_komm'])."'");
header("Location:?chat=$chat[id]");
}
elseif(isset($_GET['del']) && $ku['status']>0)
{
if($_GET['del']=='ok')
{
mysql_query("delete from `$db_base`.`kolhoz_chat` where `mother` = '$chat[id]' and `type` = 'komm'");
mysql_query("delete from `$db_base`.`kolhoz_chat` where `id` = '$chat[id]' and `type` = 'room'");
header("Location:?chat");
}
else echo '<div class="event"><h1>Подтверждение</h1></div><div class="content"><div class="block"><ul class="block"><li><span class="title">Вы уверены?</span></li><li class="pt"><img alt="" width="16" height="16" src="images/icons/tick.png"> <a href="?chat='.$chat['id'].'&del=ok"><span>
Да, подтверждаю</span></a></li><li><img alt="" width="16" height="16" src="images/icons/cross.png"> <a href="?chat='.$chat['id'].'"><span>
Нет, отказываюсь</span></a></li></ul></div>';
include_once 'inc/foot.php';
}
else
{
if(isset($_GET['otv']) && intval($_GET['otv'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_user` WHERE `id` = '".intval($_GET['otv'])."'"),0)!=0 && intval($_GET['otv'])!=$ku['id'])
{
$otv=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_user` WHERE `id` = '".intval($_GET['otv'])."'"));
$otvu=$otv;
}
echo "<div class='event'><h1>".hsc($chat['name'])."</h1></div>";
echo '<div class="content"><div class="block"><ul style="padding:2px;">';
echo "<div><div><img alt='o' width='16' height='16' src='images/icons/refresh.png'> <a href=''>Обновить</a> <img width='16' height='16' src='images/icons/chat.png' alt='o'> <a href='?chat'>Чаты</a></div><div><img alt='' width='16' height='16' src='images/icons/pencil.png'> <a href='?chat=$chat[id]".(!isset($_GET['write'])?"&write":null)."'>Написать</a> <img width='16' height='16' src='images/icons/rules.png' alt='o'> <a href='?online&admin'>Позвать
модератора</a></div></div>";
if(isset($_GET['add']) && $_GET['add']=='ok' && isset($_GET['write']) && !isset($molchi))
{
$msg=trim($_POST['msg']);
if($msg==NULL)
{
echo err_game("Слишком короткое сообщение");
$err=1;
}
if(!isset($err))
{
mysql_query("INSERT INTO `$db_base`.`kolhoz_chat` SET `msg` = '".my_esc($msg)."', `id_user` = '$ku[id]', `type` = 'komm', `mother` = '$chat[id]', `time` = '$time'".(isset($otv)?", `otvet` = '$otv[id]'":null)."");
header("Location:?chat=$chat[id]&write=yes");
exit;
}
}

if(isset($_GET['write']))
{
if($ban['id'])
{
echo "<ul class='pt'>
<div>
<li class='major'><span>".($ban['izg']==1?'Изгнание':"Обет Молчания до ".vremja($ban['time']))."</span>, выдал".($us_ban['pol']==0?'a':null)." <span>";
echo on_k($us_ban['id']);
echo "<a href='?user=$us_ban[id]'>".nc($us_ban['id'])."</a></span><span>, (".output_text($ban['msg']).")</span></li></div></ul>";
}
else echo "<div><form action='?chat=$chat[id]&write=yes&add=ok".(isset($otv)?"&otv=$otv[id]":null)."' method='post'><label>Сообщение".(isset($otv)?" для $otvu[nick]":null).":<br><textarea class='wide' rows='4' name='msg'></textarea></label><br><input type='submit' value='Отправить'></form></div>";
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_chat` WHERE `type` = 'komm' AND `mother` = '$chat[id]'"),0);
if ($k_post==0)
{
echo "пустo...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `$db_base`.`kolhoz_chat` WHERE `type` = 'komm' AND `mother` = '$chat[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
$i=1;
//Комната
while($post=mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_user` WHERE `id` = '$post[id_user]'"));
if($post['otvet']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_user` WHERE `id` = '$post[otvet]'"),0)!=0)
{
$otvet=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_user` WHERE `id` = '$post[otvet]'"));
$otvetu=$otvet;
}
echo "<li class='pt'>";

echo $i % 2 ? '<div class="l2">' : '<div class="l1">';

echo "<span>";
echo on_k($ank['id']);
echo "<a class='' href='?user=$ank[id]'><span>".nc($ank['id'])."</span></a></span> ".($ank['id']!=$ku['id']?"<a class='small minor' href='?chat=$chat[id]&otv=$ank[id]&write'><img src='images/icons/chat.png' alt='x' title='Ответить' /></a>":null)." <span class='minor small'> <span>".vremja($post['time'])."</span>";
if($ku['status']>0){echo " <a class='small minor' href='?chat=$chat[id]&del_komm=$post[id]'><img src='images/icons/delete.png' alt='x' title='Удалить сообщение' /></a>";}

$text = output_text($post['msg'], $ank['id']);

echo"</span>
<div class='title'><p>".(isset($otvet)?"".($ku['id']==$otvet['id']?"<span class='rare'>":null)."$otvetu[nick]".($ku['id']==$otvet['id']?"</span>":null).", ":null)."".smileys($text, $ank['status'] >= 1 ? 1 : 0)."</p></div>";

echo "</div></li>";
$i++;
}

if ($k_page>1)str("?chat=$chat[id]&",$k_page,$page); // Вывод страниц

echo "</ul>";
echo "<ul class='pt'>";
echo "<li></li>";

if($ku['status']>0)echo "<li><img alt='o' width='16' height='16' src='images/icons/delete.png'> <a href='?chat=$chat[id]&del'>Удалить</a></li>";
if($ku['status']>0)echo "<li><img alt='o' width='16' height='16' src='images/icons/delete.png'> <a href='?chat=$chat[id]&clean'>Очистить комнату</a></li>";
if($ku['status']>0)echo "<li><img alt='o' width='16' height='16' src='images/icons/forum_edit.png'> <a href='?chat=$chat[id]&edit'>Изменить название</a></li>";
echo "<li><img width='16' height='16' src='images/icons/chat.png' alt='o'> <a href='?chat'>Чаты</a></li>";
echo "</ul></div>";
include_once 'inc/foot.php';
}
}
else
{
if(isset($_GET['add']) && $ku['status']>0)
{
echo '<div class="event"><h1>Создание комнаты</h1></div>';
if($_GET['add']=='ok')
{
$name=$_POST['name'];
$opis=$_POST['opis'];
if($name==NULL)
{
echo err_game("Слишком короткое название");
$err=1;
}
if(!isset($err))
{
if($_POST['admod']==1)$admod=1;else $admod=0;
$pos=mysql_result(mysql_query("SELECT MAX(`pos`) FROM `$db_base`.`kolhoz_chat` WHERE `type` = 'room'"), 0)+1;
mysql_query("INSERT INTO `$db_base`.`kolhoz_chat` SET `name` = '".my_esc($name)."', `id_user` = '$ku[id]', `type` = 'room', `mother` = '0', `time` = '$time', `admod` = '$admod', `pos` = '$pos', `opis` = '".my_esc($opis)."'");
header("Location:?chat");
exit;
}
}
echo '<div class="content"><div class="block">';
echo "<form action='?chat&add=ok' method='post'><ul><li><label><div>Название:</div><div><input type='text' class='wide' value='' name='name'></div></label></li><li><label><div>Описание:</div><div><textarea class='wide' rows='5' name='opis'></textarea></div></label></li>";
echo "<input type='checkbox' name='admod' value='1'> <span>Давать доступ только администрации</span><br/>";
echo "<li><input type='submit' value='Создать'></li></ul></form></div>";
include_once 'inc/foot.php';
}
else
{
if (isset($_GET['up']) && $ku['status']>0)
{
$up=mysql_fetch_assoc(mysql_query("SELECT * FROM `$db_base`.`kolhoz_chat` WHERE `id` = '".intval($_GET['up'])."' AND `type` = 'room' LIMIT 1"));
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_chat` WHERE `pos` < '$up[pos]' AND `type` = 'room' LIMIT 1"),0)!=0)
{
mysql_query("UPDATE `$db_base`.`kolhoz_chat` SET `pos` = '".($up['pos'])."' WHERE `pos` = '".($up['pos']-1)."' AND `type` = 'room' LIMIT 1");
mysql_query("UPDATE `$db_base`.`kolhoz_chat` SET `pos` = '".($up['pos']-1)."' WHERE `id` = '".intval($_GET['up'])."' AND `type` = 'room' LIMIT 1");
}
}
elseif (isset($_GET['down']) && $ku['status']>0)
{
$down=mysql_fetch_assoc(mysql_query("SELECT * FROM `$db_base`.`kolhoz_chat` WHERE `id` = '".intval($_GET['down'])."' AND `type` = 'room' LIMIT 1"));
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_chat` WHERE `pos` > '$down[pos]' AND `type` = 'room' LIMIT 1"),0)!=0)
{
mysql_query("UPDATE `$db_base`.`kolhoz_chat` SET `pos` = '".($down['pos'])."' WHERE `pos` = '".($down['pos']+1)."' AND `type` = 'room' LIMIT 1");
mysql_query("UPDATE `$db_base`.`kolhoz_chat` SET `pos` = '".($down['pos']+1)."' WHERE `id` = '".intval($_GET['down'])."' AND `type` = 'room' LIMIT 1");
}
}

//Список комнат
echo "<div class='event'><h1>Чат | Куда идем?</h1></div>";
echo '<div class="content"><div class="block"><ul>';
$q=mysql_query("SELECT * FROM `$db_base`.`kolhoz_chat` WHERE `type` = 'room'".($ku['status']<=0?" AND `admod` = '0'":null)." ORDER BY `pos` ASC");
while($post=mysql_fetch_array($q))
{
echo "<li><div><img width='16' height='16' src='images/icons/chat.png' alt='o'> <a href='?chat=$post[id]'><span>".hsc($post['name'])."</span></a>";
if(isset($_GET['moderate']) && $ku['status']>0){echo "&nbsp;&nbsp;<a href='?chat&moderate&up=$post[id]'><img width='16' height='16' src='images/icons/up.png' alt='o'></a>&nbsp;&nbsp;<a href='?chat&moderate&down=$post[id]'><img width='16' height='16' src='images/icons/down.png' alt='o'></a>";}
echo "</div>".(strlen2($post['opis'])!=NULL?"<div class='minor small'>".hsc($post['opis'])."</div>":null)."";
echo "</li>";
}
echo "</ul>";
echo "<ul class='pt'>";
if($ku['status']>0)echo "<li><img width='16' height='16' src='images/icons/moderate.png' alt='o'> <a href='?chat".(!isset($_GET['moderate'])?"&moderate":null)."'>Управление</a></li><li><img width='16' height='16' src='images/icons/chat.png' alt='*' title='*'> <a href='?chat&add'>Создать комнату</a></li>";
echo "</ul></div>";
include_once 'inc/foot.php';
}
}
?>